> ## Documentation Index
> Fetch the complete documentation index at: https://docs.toku.com/llms.txt
> Use this file to discover all available pages before exploring further.

# List Grants

> Lists org grants (SCP or non-SCP) with vested percentage, tags, escrow wallets, lockups and documents flag.

Not available to API keys yet. It will need `grants:read`.

## OpenAPI

````yaml api-reference/openapi.json POST /tga/list-grants
openapi: 3.1.0
info:
  title: Toku API
  version: 1.0.0
servers:
  - url: https://api.toku.com
security:
  - bearerAuth: []
paths:
  /tga/list-grants:
    post:
      operationId: listGrants
      summary: List Grants
      description: >-
        Lists org grants (SCP or non-SCP) with vested percentage, tags, escrow
        wallets, lockups and documents flag.


        Not available to API keys yet. It will need `grants:read`.
      requestBody:
        required: true
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/ListGrantsRequest'
      responses:
        '200':
          description: Successful response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ListGrantsResponse'
        '400':
          description: Bad request
        '401':
          description: Unauthorized
        '403':
          description: Forbidden
        '404':
          description: Not found
        '409':
          description: Conflict
        '429':
          description: Response 429
components:
  schemas:
    ListGrantsRequest:
      type: object
      properties:
        isSCPOnlyGrant:
          type: boolean
    ListGrantsResponse:
      type: array
      items:
        type: object
        properties:
          grantID:
            type: string
          grantName:
            type: string
          externalEmployeeID:
            type:
              - string
              - 'null'
          grantAmount:
            type:
              - number
              - 'null'
          grantAmountInFiat:
            type:
              - number
              - 'null'
          pricePerUnitCurrencyCode:
            type: string
          grantAssetType:
            type: string
            enum:
              - FIAT
              - TOKEN
          grantStatus:
            type: string
          grantConfigurationName:
            type: string
          vestingCliffPeriods:
            type: number
          vestingCliffPercentage:
            type: number
          vestingPeriods:
            type: number
          vestingStartDate:
            type: string
          finalVestingDate:
            type:
              - string
              - 'null'
          percentageOfUnitsVested:
            type:
              - number
              - 'null'
          vestingFrequencyType:
            type: string
          recipientFullName:
            type: string
          grantDate:
            type: string
          createdAt:
            type: string
          tags:
            type: array
            items:
              type: string
          roleInOrgExternalID:
            type:
              - number
              - 'null'
          roleInOrgID:
            type: string
          pricePerUnit:
            type:
              - string
              - 'null'
            pattern: ^-?\d+(?:\.\d+)?(?:e[+-]?\d+)?$
          currency:
            type:
              - string
              - 'null'
          lockups:
            type: array
            items:
              type: object
              properties:
                unlockDate:
                  type:
                    - string
                    - 'null'
                unlockUnits:
                  type:
                    - string
                    - 'null'
                  pattern: ^-?\d+(?:\.\d+)?(?:e[+-]?\d+)?$
              required:
                - unlockDate
                - unlockUnits
          escrowWalletAddresses:
            type: string
          cliffOverrideString:
            type:
              - string
              - 'null'
          tokenType:
            type:
              - object
              - 'null'
            additionalProperties: {}
          tokenSymbol:
            type: string
          isCashCompensation:
            type:
              - boolean
              - 'null'
          currencyCode:
            type: string
          hasGrantDocuments:
            type: boolean
        required:
          - grantID
          - grantName
          - externalEmployeeID
          - grantAmount
          - grantAmountInFiat
          - pricePerUnitCurrencyCode
          - grantAssetType
          - grantStatus
          - grantConfigurationName
          - vestingCliffPeriods
          - vestingCliffPercentage
          - vestingPeriods
          - vestingStartDate
          - finalVestingDate
          - percentageOfUnitsVested
          - vestingFrequencyType
          - recipientFullName
          - grantDate
          - createdAt
          - tags
          - roleInOrgExternalID
          - roleInOrgID
          - pricePerUnit
          - currency
          - lockups
          - cliffOverrideString
          - tokenType
          - isCashCompensation
          - currencyCode
          - hasGrantDocuments
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer
````
